%define pkgname mesonpy
Name:          python-meson
Version:       0.16.0
Release:       1mamba
Summary:       Meson PEP 517 Python build backend
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://meson-python.readthedocs.io/en/latest/
Source:        https://github.com/mesonbuild/meson-python.git/%{version}/meson-python-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(meson)
BuildRequires: python3.11dist(packaging)
BuildRequires: python3.11dist(pyproject-metadata)
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.11

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:      python-meson-py310
%pyver_package
%endif

%prep
%setup -q -n meson-python-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/meson_python-%{version}.dist-info
%{python_sitelib}/meson_python-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE LICENSES

%changelog
* Fri May 10 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-1mamba
- update to 0.16.0

* Fri Oct 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.0-2mamba
- rebuilt with python3 == 3.11

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.0-1mamba
- package created using the webbuild interface
